---
title: CSSStyleSheet.ownerRule
slug: Web/API/CSSStyleSheet/ownerRule
tags:
  - '@import'
  - API
  - CSS
  - CSSOM
  - CSSOM API
  - CSSStyleSheet
  - Layout
  - Object Model
  - Property
  - Read-only
  - Reference
  - StyleSheet
  - import
  - ownerRule
---
<p>{{APIRef("CSSOM")}}</p>

<p><span class="seoSummary">The read-only {{domxref("CSSStyleSheet")}} property <code><strong>ownerRule</strong></code> returns the {{domxref("CSSImportRule")}} corresponding to the {{cssxref("@import")}} at-rule which imported the stylesheet into the document.</span> If the stylesheet wasn't imported into the document using <code>@import</code>, the returned value is <code>null</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>ownerRule</em> = <em>cssStyleSheet</em>.ownerRule;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("CSSImportRule")}} corresponding to the {{cssxref("@import")}} rule which imported the stylesheet into the document. If the stylesheet wasn't imported into the document using <code>@import</code>, the returned value is <code>null</code>.</p>

<h2 id="Examples">Examples</h2>

<p>This snippet of code looks for rules which were not imported into the document using an <code>@import</code> at-rule.</p>

<pre class="brush: js">let ruleList = document.styleSheets[0].cssRules;

for (let rule of ruleList) {
  if (!rule.ownerRule) {
    /* rule is not imported */
  }
}
</pre>

<p>This snipped obtains a reference to the stylesheet associated with the <code>@import</code> and processes it in some manner:</p>

<pre class="brush: js">let ruleList = document.styleSheets[0].cssRules;

for (let rule of ruleList) {
  if (rule.ownerRule) {
    checkStylesheet(rule.ownerRule.styleSheet);
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("CSSOM", "#dom-cssstylesheet-ownerrule", 'CSSStyleSheet.ownerRule')}}</td>
   <td>{{Spec2("CSSOM")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleSheet.ownerRule")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/CSS_Object_Model">CSS Object Model</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Object_Model/Using_dynamic_styling_information">Using dynamic styling information</a></li>
</ul>
